Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Nov 2019 17:19:44 +0200

> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Thu, 28 Nov 2019 01:34:08 +0200
> 
> > diff-context by default is just '((t nil))
> > Where do you think to add ':extend t'?
> > To empty face definition?
> 
> '((t (:extend t))), something like that?

Yes.

> Good point, though.

If it is a good point, I guess I'm missing it.

> The theme I'm currently using has this for this face's definition:
> 
>    `(diff-context                   ((,class (:inherit highlight))))
> 
> (to inherit the color).
> 
> I'm not sure where it'll add the required attribute there.

Again, I don't think I understand the difficulty.  Suppose you wanted
to add an :underline attribute -- would you have a similar difficulty
then?

> Or if.

Up to you, of course.  I said long ago that IMO it is/was a mistake to
make so many Diff faces extend to EOL.